Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadm.events
Class AttributeChangeEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.beans.PropertyChangeEvent
                  |
                  +--org.w3c.jigadm.events.AttributeChangeEvent

public class AttributeChangeEvent
extends java.beans.PropertyChangeEvent

See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`AttributeChangeEvent(java.lang.Object source, java.lang.String name, java.lang.Object oldvalue, java.lang.Object newvalue)` Creates an AttributeChangeEvent this correspond to a change in one Attribute of one resource

Methods inherited from class java.beans.PropertyChangeEvent
`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AttributeChangeEvent

    public AttributeChangeEvent(java.lang.Object source,
                                java.lang.String name,
                                java.lang.Object oldvalue,
                                java.lang.Object newvalue)

  Creates an AttributeChangeEvent this correspond to a change in one Attribute of one resource
  Parameters:
    `source` - The resource whose attribute has changed.
    `name` - The name of the attribute that has changed.
    `oldvalue` - The old attribute value.
    `newvalue` - The new attribuyte value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD